/* GLOBAL */
html, body {
  margin: 0;
  padding: 0;
  scroll-behavior: smooth;
}

/* FLUID FONT SIZING */
/* min size */
h1 { font-size: 21px; }
h2 { font-size: 26px; }
h3 { font-size: 24px; }
p, span, label, input, textarea, a, button { font-size: 18px; }

/* dynamic size */
@media screen and (min-width: 320px) {
  h1 { font-size: calc(21px + 15 * ((100vw - 320px) / 880)); }
  h2 { font-size: calc(26px + 6 * ((100vw - 320px) / 880)); }
  h3 { font-size: calc(24px + 2 * ((100vw - 320px) / 880)); }
}

/* max size */
@media screen and (min-width: 1200px) {
  h1 { font-size: 36px; }
  h2 { font-size: 32px; }
  h3 { font-size: 26px; }
}

/* GLOBAL STYLES */
h1,h2,h3,h4,h5,h6,p,span,li,input,textarea,button,a,label {
  font-family: 'Libre Baskerville', serif;
  color: #000;
}
h1, h3 {
  margin: .67em 0;
  line-height: 1.55;
}
h3 {
  font-weight: 400;
}
p, label {
  margin: 0;
  padding: 0;
  line-height: 1.5;
  font-weight: 300;
}
section.content-container {
  margin: 3.5vw 10vw;
}
.lite {
  font-weight: 400;
}
p.body-text {
  margin: 40px 0;
  line-height: 2;
  letter-spacing: 0.45px;
}
.logo-text {
  font-family: 'Cinzel', serif;
  font-size: 1.1em;
}

/* IMAGE STYLES */
img {
  flex-shrink: 0; /* IE fix for stretching */
  object-fit: contain; /* non-IE fix for stretching */
}

/* lock screen */
#lock-screen {
  display: none;
}
.lock-container {
  width: 100%;
  height: 100%;
  position: fixed;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  z-index: 1000;
  background-color: #828282;
}
.lock-header {
  margin-bottom: 30px;
  color: #FFF;
  font-size: 1.2em;
}
.lock-input {
  width: 300px;
  padding: 8px 12px;
}
.lock-button {
  margin-top: 20px;
  border: none;
  outline: none;
  background-color: #FFF;
  padding: 8px 12px;
  border-radius: 2px;
}

/* nav */
#vue-navigation {
  padding-bottom: 90px;
}
.navigation {
  width: 100%;
  height: 90px;
  margin: 0;
  position: fixed;
  top: 0;
  left: 0;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  /* background-color: #7094bb; */
  background-color: #929ACE;
  box-shadow: 0 2px 2px 0 rgba(0,0,0,.14), 0 3px 1px -2px rgba(0,0,0,.2), 0 1px 5px 0 rgba(0,0,0,.12);
}
.navigation-item {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-grow: 1;
}
.navigation-logo {
  flex-grow: 2;
}
.navigation-link {
  text-decoration: none;
  color: #FFF;
  font-size: 0.92em;
}
@media screen and (max-width: 1175px) {
  .navigation-link {
    max-width: 115px;
  }
  .navigation-link--logo {
    max-width: initial;
  }
}
.navigation-link--logo {
  font-family: 'Cinzel', serif;
  /* font-variant: small-caps; */
  font-weight: 700;
  font-size: 2.078125em;
}
.navigation-link:hover {
  cursor: pointer;
}
.hamburger-menu {
  display: none;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.hamburger-menu:hover {
  cursor: pointer;
}
.change .bar1 {
  -webkit-transform: rotate(-45deg) translate(-9px, 6px);
  transform: rotate(-45deg) translate(-9px, 8px);
}
.change .bar2 {
  opacity: 0;
}
.change .bar3 {
  -webkit-transform: rotate(45deg) translate(-8px, -8px);
  transform: rotate(45deg) translate(-8px, -8px);
}
/* mobile nav */
@media screen and (max-width: 975px) {
  .navigation-item {
    display: none;
  }
  .navigation-logo {
    padding-left: 32px;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-grow: 7;
  }
  .hamburger-menu {
    display: flex;
    flex-grow: 1;
  }
}
.bar1, .bar2, .bar3 {
  width: 35px;
  height: 4px;
  background-color: #FFF;
  margin: 4px 0;
  transition: 0.4s;
}
@media screen and (max-width: 425px) {
  .hamburger-menu {
    margin-right: 12px;
  }
}
.mobile-navigation {
  padding-top: 110px;
  display: none;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  width: 100%;
  height: calc(100vh - 90px);
  /* background-color: #7094bb; */
  background-color: #929ACE;
}
.mobile-show {
  display: flex;
}
.navigation-item-mobile {
  padding-top: 5vh;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
.navigation-link-mobile {
  text-decoration: none;
  color: #FFF;
  font-size: 1.1em;
}

/* footer */
.footer {
  width: 100%;
  height: 100px;
  display: flex;
  justify-content: center;
  align-items: center;
  /* background-color: #7094bb; */
  background-color: #929ACE;
}
.footer-text {
  color: #FFF;
}

/* homepage */
.image-carousel-container {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}
.image-carousel-group {
  /* width: 33.33%; */
}
.carousel-image {
  width: 100%;
}
.carousel-image-info-group {
  min-height: 85px;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
}
.carousel-image-title {
  padding: 8px 0 5px 0;
  font-size: .85em;
  font-weight: 700;
  font-variant: small-caps;
  /* color: #7094bb; */
  color: #929ACE;
  text-align: center;
}
.carousel-image-location {
  font-size: .75em;
  font-style: italic;
  font-weight: 400;
  color: #BDBDBD;
  letter-spacing: 0.5px;
  text-align: center;
}
@media screen and (max-width: 675px) {
  .carousel-image-title {
    font-size: .7em;
  }
  .carousel-image-location {
    font-size: .65em;
  }
}
.mobile-image-carousel-container {
  width: 100%;
  display: none;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}
@media screen and (max-width: 600px) {
  .image-carousel-container {
    display: none;
  }
  .mobile-image-carousel-container {
    display: flex;
  }
}

/* city */
.city-search-container {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: flex-end;
}
.search-input {
  width: 300px;
  padding: 6px 8px;
  outline: 0;
  border: 0;
  /* border-bottom: 2px solid #7094bb; */
  border-bottom: 2px solid #929ACE;
  font-size: 1.75em;
}
.search-input::placeholder {
  color: #dcdcdc;
}
.search-icon {
  width: 30px;
  padding-left: 10px;
}
.featured-cities-container {
  width: 40%;
  min-width: 300px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: flex-start;
}
.featured-city-link {
  text-decoration: none;
}
.featured-city-link:hover {
  cursor: pointer;
  /* color: #7094bb; */
  color: #929ACE;
}
.country-cities-container {
  margin: 26px 0;
  width: 60%;
  min-width: 300px;
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
}
.country-city-link {
  min-width: 175px;
  padding-right: 40px;
  text-decoration: none;
}
.country-city-link:hover {
  cursor: pointer;
  /* color: #7094bb; */
  color: #929ACE;
}
@media screen and (max-width: 730px) {
  .country-cities-container {
    margin: 0;
    flex-wrap: wrap;
  }
  .country-city-link {
    padding: 10px 0;
  }
}

/* houston */
.city-museums-page {
  margin: 3.5vw 6vw;
}
.city-backdrop {
  width: 100%;
  min-height: 250px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}
.houston {
  background-image: url("../images/houston.jpeg");
}
.london {
  background-image: url("../images/london.jpg");
}
.paris {
  background-image: url("../images/paris.jpg");
}
.city-name {
  color: #FFF;
  font-weight: 700;
  font-size: 2.5em;
  font-variant: small-caps;
}
.city-overview {
  margin: 0 8vw 50px 8vw;
  max-width: 675px;
  min-width: 250px;
  font-size: .9em;
  color: #FFF;
}
.city-museums-container {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: flex-start;
}
@media screen and (max-width: 650px) {
  .city-museum-filter {
    display: none;
  }
}
#vue-filter {
  width: 220px;
}
.filter-group {}
.filter-label {
  font-size: .95em;
}
.city-museums-list-container {
  /* width: 75%; */
}
.city-museums-header {
  font-weight: 700;
  font-variant: small-caps;
}
.city-museums-list {
  width: 100%;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: flex-start;
  align-items: flex-start;
}
.city-museum-group {
  width: 338px;
  margin: 0 25px 50px 0;
}
.museum-name {
  font-weight: 700;
  /* color: #7094bb; */
  color: #929ACE;
}
.museum-category {
  margin: 5px 0;
  font-size: .9em;
  font-weight: 700;
}
.museum-location {
  font-size: .9em;
  font-style: italic;
}
.museum-overview {
  margin-top: 10px;
  font-size: .85em;
}

/* highlights */
.highlight-group {
  margin-top: 40px;
  width: 80%;
  min-width: 450px;
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
}
.highlight-image {
  width: 140px;
}
.highlight-text {
  padding-left: 12px;
}
.highlight-title {
  font-weight: 500;
  font-size: 1.15em;
}
.highlight-price {
  margin: 8px 0;
  font-style: italic;
}
.highlight-note {
  font-size: .85em;
}
@media screen and (max-width: 500px) {
  .highlight-group {
    width: 100%;
    min-width: 200px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  .highlight-text {
    padding-left: 0;
  }
  .highlight-title, .highlight-price, .highlight-note {
    text-align: center;
  }
}

/* curator interviews */
.question {
  margin-top: 18px;
  font-size: 1.3em;
  font-weight: 700;
  font-style: italic;
}
.answer {
  margin-top: 16px;
}
